Bug 499908 - Hal didn't loaded the drivers for devices
Hal didn't loaded the drivers for devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 15:55 EDT by Refuznik
Modified: 2013-03-07 01:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:24:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of device (1.48 KB, text/plain)
2009-05-08 15:55 EDT, Refuznik
no flags Details
My xorg.conf (2.15 KB, text/plain)
2009-05-08 15:56 EDT, Refuznik
no flags Details
log Xorg.0.log (11.68 KB, text/plain)
2009-05-08 15:57 EDT, Refuznik
no flags Details

  None (edit)
Description Refuznik 2009-05-08 15:55:39 EDT
Created attachment 343157 [details]
list of device

Description of problem:
Mouse and keyboard are well recognized but Hal still unload the module evdev.
I tried different configurations of xorg.conf, keyboards, mouse, changed the usb ports.

And always for my MX518 :
II) config/hal: Adding input device Logitech USB-PS/2 Optical Mouse
(**) Logitech USB-PS/2 Optical Mouse: always reports core events
(**) Logitech USB-PS/2 Optical Mouse: Device: "/dev/input/event4"
(WW) Logitech USB-PS/2 Optical Mouse: device file already in use. Ignoring.
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for "Logitech USB-PS/2 Optical Mouse"
(EE) config/hal: NewInputDeviceRequest failed

For my keyboard pc105 (of course for the keyboard, I also tested with and without the module evdev-keyboard) :
(II) config/hal: Adding input device AT Translated Set 2 keyboard
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event3"
(WW) AT Translated Set 2 keyboard: device file already in use. Ignoring.
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for "AT Translated Set 2 keyboard"
(EE) config/hal: NewInputDeviceRequest failed

Hal trying each time to set up mouse or keyboard and crash evdev module.

Additional info:

Xorg.conf 

Section "InputDevice"
	Identifier  "AT Translated Set 2 keyboard"
	Driver      "evdev"
	Option 	    "CoreKeyboard"
	Option 	    "Device" "/dev/input/event3"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "fr"
EndSection 

Section "InputDevice"
	Identifier  "Logitech, Inc. G3 (MX518) Optical Mouse"
        Driver      "evdev"
	Option	    "Corepointer"
	Option	    "Device" "/dev/input/by-id/usb-Logitech_USB-PS.2_Optical_Mouse-event-mouse"
	Option      "Device" "/dev/input/event4"
        Option      "SendCoreEvents" "true"
        Option      "Name" "Logitech USB-PS/2 Optical Mouse"
        Option      "Emulate3Buttons" "true"
        Option      "ZAxisMapping" "4 5 6 7"
        Option      "Buttons"   "12"
        Option      "Resolution"    "400"
        Option      "AllowMouseOpenFail" "true"
EndSection


Tested with hardware :
Microsoft basic keyboard (PS/2), 
Logitech internet 350 keyboard (USB), 
Logitech MX518 (USB),
Logitech MX400 Performance Laser Mouse (USB)

Version-Release number of selected component (if applicable):
Hal 0.5.12-14.20081027.git.fc10@i386 
Xorg X Server 1.5.3
xorg-x11-evdev 2.1.3-1.fc10@i386
Comment 1 Refuznik 2009-05-08 15:56:24 EDT
Created attachment 343158 [details]
My xorg.conf
Comment 2 Refuznik 2009-05-08 15:57:07 EDT
Created attachment 343160 [details]
log Xorg.0.log
Comment 3 Richard Hughes 2009-05-09 04:12:41 EDT
Hal doesn't unload or load any modules.
Comment 4 Refuznik 2009-05-09 18:08:24 EDT
Yes Hal = Hardware Abstraction Layer http://www.redhat.com/magazine/003jan05/features/hal/ If you prefer Hal didn't loaded the right drivers for devices.

Hal or evdev found always "the device already in use".

And if i monitor unplug/plug mouse :
lshal -m

Start monitoring devicelist:
-------------------------------------------------
00:03:55.551: usb_device_46d_c051_noserial_if0_logicaldev_input removed
00:03:55.574: usb_device_46d_c051_noserial_if0 removed
00:03:55.588: usb_device_46d_c051_noserial removed
00:03:57.502: usb_device_46d_c051_noserial added
00:03:57.578: usb_device_46d_c051_noserial_if0 added
00:03:57.757: usb_device_46d_c051_noserial_if0_logicaldev_input added
Comment 5 Refuznik 2009-05-09 18:09:38 EDT
Yes Hal = Hardware Abstraction Layer http://www.redhat.com/magazine/003jan05/features/hal/ If you prefer Hal didn't loaded the right drivers for devices.

Hal or evdev found always "the device already in use".

And if i monitor unplug/plug mouse :
lshal -m

Start monitoring devicelist:
-------------------------------------------------
00:03:55.551: usb_device_46d_c051_noserial_if0_logicaldev_input removed
00:03:55.574: usb_device_46d_c051_noserial_if0 removed
00:03:55.588: usb_device_46d_c051_noserial removed
00:03:57.502: usb_device_46d_c051_noserial added
00:03:57.578: usb_device_46d_c051_noserial_if0 added
00:03:57.757: usb_device_46d_c051_noserial_if0_logicaldev_input added
Comment 6 Richard Hughes 2009-05-10 04:22:59 EDT
(In reply to comment #4)
> Yes Hal = Hardware Abstraction Layer

Bzzzt. I'm an upstream developer.
Comment 7 Scott Glaser 2009-09-09 09:37:00 EDT
Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Refuznik 2009-09-11 11:59:59 EDT
I use the latest version for F10 :
HAL 
hal-libs-0.5.12-14.20081027git.fc10.i386
hal-devel-0.5.12-14.20081027git.fc10.i386
hal-info-20090202-1.fc10.noarch
hal-cups-utils-0.6.19-1.fc10.i386

EVDEV
xorg-x11-drv-evdev-2.1.3-1.fc10.i386
xorg-x11-drv-evdev-devel-2.1.3-1.fc10.i386

Sorry I have not tested with F11 or Rawhide.  
I tried this method for modify /etc/hal/fdi/policy https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-evdev/+bug/173833 but without success.
Comment 9 Bug Zapper 2009-11-18 06:55:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 04:24:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Ryan Li 2013-03-07 01:50:27 EST
Removed aliases as they prevent me from searching with those keywords.

Note You need to log in before you can comment on or make changes to this bug.